Skip to content
POST/{organizationId}/{mandateId}/crm/contacts/getMembersStockReportIssues

Get members stock report issues

Returns how many members are missing some settings to generate a stock report

Required permissions:

  • mandate.read

  • contact:member.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

userAssignedbooleanoptional

A stringified json object representing a property filter

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/contacts/getMembersStockReportIssues
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/getMembersStockReportIssues' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "userAssigned": true,
  "userFilter": {
    "operator": "and",
    "groups": [
      {
        "operator": "and",
        "fields": [
          {
            "path": "string",
            "comparator": "exists"
          }
        ]
      }
    ]
  },
  "segments": [
    "string"
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: -9007199254740991

maximum: 9007199254740991

Response

200
{
  "count": -9007199254740991
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}